## ros-one-moveit-tutorials 0.1.0-529jammy.20251027.2225

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_tutorials)

find_package(catkin REQUIRED
  COMPONENTS
    interactive_markers
    moveit_core
    moveit_ros_planning
    moveit_ros_planning_interface
    moveit_ros_perception
    rviz_visual_tools
    moveit_visual_tools
    pluginlib
    geometric_shapes
    pcl_ros
    pcl_conversions
    rosbag
    tf2_ros
    tf2_eigen
    tf2_geometry_msgs
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED system filesystem date_time thread)

set(THIS_PACKAGE_INCLUDE_DIRS
  doc/interactivity/include
)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  CATKIN_DEPENDS
    moveit_core
    moveit_visual_tools
    moveit_ros_planning_interface
    interactive_markers
    tf2_geometry_msgs
  DEPENDS
    EIGEN3
)

###########
## Build ##
###########

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} ${EIGEN3_INCLUDE_DIRS})

add_subdirectory(doc/controller_configuration)
add_subdirectory(doc/hand_eye_calibration)
add_subdirectory(doc/interactivity)
add_subdirectory(doc/kinematics)
add_subdirectory(doc/motion_planning_api)
add_subdirectory(doc/motion_planning_pipeline)
add_subdirectory(doc/move_group_interface)
add_subdirectory(doc/move_group_python_interface)
add_subdirectory(doc/perception_pipeline)
add_subdirectory(doc/pick_place)
add_subdirectory(doc/planning)
add_subdirectory(doc/planning_scene)
add_subdirectory(doc/planning_scene_ros_api)
add_subdirectory(doc/robot_model_and_robot_state)
add_subdirectory(doc/state_display)
add_subdirectory(doc/subframes)
add_subdirectory(doc/tests)
add_subdirectory(doc/trajopt_planner)
add_subdirectory(doc/creating_moveit_plugins/lerp_motion_planner)
add_subdirectory(doc/moveit_cpp)
add_subdirectory(doc/collision_environments)
add_subdirectory(doc/visualizing_collisions)
add_subdirectory(doc/bullet_collision_checker)
add_subdirectory(doc/mesh_filter)

=== doc/bullet_collision_checker/CMakeLists.txt ===
add_executable(bullet_collision_checker_tutorial
    src/bullet_collision_checker_tutorial.cpp)

target_link_libraries(bullet_collision_checker_tutorial
    ${interactive_markers_LIBRARIES}
    interactivity_utils
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES})

install(TARGETS bullet_collision_checker_tutorial
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/collision_environments/CMakeLists.txt ===
catkin_install_python(PROGRAMS
  scripts/collision_scene_example.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== doc/controller_configuration/CMakeLists.txt ===
add_library(controller_manager_example src/moveit_controller_manager_example.cpp)
target_link_libraries(controller_manager_example ${catkin_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS controller_manager_example DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Need to use non-standard install location to find plugin description both in devel and install space
install(FILES moveit_controller_manager_example_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/doc/controller_configuration)

=== doc/interactivity/CMakeLists.txt ===
set(INTERACTIVITY_LIB_NAME interactivity_utils)

add_library(${INTERACTIVITY_LIB_NAME}
  src/interactive_robot.cpp
  src/imarker.cpp
  src/pose_string.cpp
)

# add_executable(interactivity_tutorial
  # src/interactivity_tutorial.cpp
  # src/interactive_robot.cpp
  # src/imarker.cpp
  # src/pose_string.cpp
# )
# target_link_libraries(interactivity_tutorial
  # ${catkin_LIBRARIES}
  # ${Boost_LIBRARIES}
  # ${interactive_markers_LIBRARIES}
# )
#
# add_executable(attached_body_tutorial
  # src/attached_body_tutorial.cpp
  # src/interactive_robot.cpp
  # src/imarker.cpp
  # src/pose_string.cpp
# )

target_link_libraries(
  ${INTERACTIVITY_LIB_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

install(
  TARGETS
    ${INTERACTIVITY_LIB_NAME}
  LIBRARY
  DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE
  DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME
  DESTINATION
    ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/kinematics/CMakeLists.txt ===
add_executable(ros_api_tutorial src/ros_api_tutorial.cpp)
target_link_libraries(ros_api_tutorial ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ros_api_tutorial DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/mesh_filter/CMakeLists.txt ===
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Need to use non-standard install location to find plugin description both in devel and install space
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/doc/mesh_filter)
install(DIRECTORY rviz DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/doc/mesh_filter)
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/doc/mesh_filter)

=== doc/motion_planning_api/CMakeLists.txt ===
add_executable(motion_planning_api_tutorial src/motion_planning_api_tutorial.cpp)
target_link_libraries(motion_planning_api_tutorial ${catkin_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS motion_planning_api_tutorial DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/motion_planning_pipeline/CMakeLists.txt ===
add_executable(motion_planning_pipeline_tutorial src/motion_planning_pipeline_tutorial.cpp)
target_link_libraries(motion_planning_pipeline_tutorial ${catkin_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS motion_planning_pipeline_tutorial DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/move_group_interface/CMakeLists.txt ===
add_executable(move_group_interface_tutorial src/move_group_interface_tutorial.cpp)
target_link_libraries(move_group_interface_tutorial ${catkin_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS move_group_interface_tutorial DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/move_group_python_interface/CMakeLists.txt ===
catkin_install_python(PROGRAMS
  scripts/move_group_python_interface_tutorial.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== doc/moveit_cpp/CMakeLists.txt ===
add_executable(moveit_cpp_tutorial src/moveit_cpp_tutorial.cpp)
target_link_libraries(moveit_cpp_tutorial ${catkin_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS moveit_cpp_tutorial DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529jammy.20251027.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:25:19 +0000

ros-one-moveit-tutorials (0.1.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:25:19 -0000

=== debian/control ===
Source: ros-one-moveit-tutorials
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-geometric-shapes, ros-one-interactive-markers, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning, ros-one-moveit-ros-planning-interface, ros-one-moveit-visual-tools, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-pluginlib, ros-one-rosbag, ros-one-rviz-visual-tools, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: https://moveit.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-one-moveit-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-franka-description, ros-one-gazebo-ros, ros-one-interactive-markers, ros-one-joint-state-publisher, ros-one-joy, ros-one-moveit-commander, ros-one-moveit-core, ros-one-moveit-fake-controller-manager, ros-one-moveit-ros-perception, ros-one-moveit-ros-planning-interface, ros-one-moveit-visual-tools, ros-one-nodelet, ros-one-panda-moveit-config, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-pluginlib, ros-one-robot-state-publisher, ros-one-rosbag, ros-one-rviz, ros-one-rviz-visual-tools, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-xacro
Description: The moveit_tutorials package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-tutorials 0.1.0-529jammy.20251208.1040

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529jammy.20251208.1040) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 10:40:31 +0000

## ros-one-moveit-tutorials 0.1.0-529jammy.20251216.0008

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529jammy.20251216.0008) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Tue, 16 Dec 2025 00:08:26 +0000

## ros-one-moveit-tutorials 0.1.0-529noble.20251027.2305

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529noble.20251027.2305) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 23:05:17 +0000

ros-one-moveit-tutorials (0.1.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 23:05:17 -0000

## ros-one-moveit-tutorials 0.1.0-529noble.20251208.1721

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529noble.20251208.1721) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 17:21:02 +0000

## ros-one-moveit-tutorials 0.1.0-529noble.20251216.0011

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-529noble.20251216.0011) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Tue, 16 Dec 2025 00:11:31 +0000

## ros-one-moveit-tutorials 0.1.0-530jammy.20260128.2352

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-530jammy.20260128.2352) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 23:52:37 +0000

## ros-one-moveit-tutorials 0.1.0-530jammy.20260302.2218

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-530jammy.20260302.2218) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 22:18:55 +0000

## ros-one-moveit-tutorials 0.1.0-530noble.20260129.0012

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-530noble.20260129.0012) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Jan 2026 00:12:01 +0000

## ros-one-moveit-tutorials 0.1.0-530noble.20260302.2256

=== debian/changelog ===
ros-one-moveit-tutorials (0.1.0-530noble.20260302.2256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 22:56:27 +0000
